View Issue Details

IDProjectCategoryView StatusLast Update
0005093GNUnettransport servicepublic2019-02-28 11:17
ReporterjahAssigned Toschanzen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformqemu-system-x86_64OSDebianOS Version9.0
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005093: Uninitialised start_request time in test_transport_api_manipulation_cfg.c
Descriptionstart_request is never initialised with a call to GNUNET_TIME_absolute_get(). Consequently, the measurement of the send delay is wrong:-

INFO Request message was delayed for 17341 days
TagsNo tags attached.

Activities

schanzen

2018-06-23 15:21

developer   ~0013052

fixed in 482246576fe473f3d9d4a447ba7c9339bd545c76

Issue History

Date Modified Username Field Change
2017-06-25 02:51 jah New Issue
2017-06-25 02:51 jah Status new => assigned
2017-06-25 02:51 jah Assigned To => Matthias Wachs
2018-06-07 01:18 Christian Grothoff Assigned To Matthias Wachs =>
2018-06-07 01:18 Christian Grothoff Status assigned => confirmed
2018-06-07 01:18 Christian Grothoff Target Version => 0.11.0
2018-06-23 15:21 schanzen Assigned To => schanzen
2018-06-23 15:21 schanzen Status confirmed => resolved
2018-06-23 15:21 schanzen Resolution open => fixed
2018-06-23 15:21 schanzen Note Added: 0013052
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed